DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Attributes | List of all members
FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem Class Reference

Class representing an item of the "CT Additional X-Ray Source" Functional Group Macro. More...

## Public Member Functions
| FGCTAdditionalXRaySourceItem ()
| Constructor, creates empty CT Additional X-Ray Source Functional Group.
virtual | ~FGCTAdditionalXRaySourceItem ()
| Destructor, frees memory.
virtual FGCTAdditionalXRaySourceItem * | clone () const
| Returns a deep copy of this object. More...
virtual void | clearData ()
| Clears all data.
virtual OFCondition | check () const
| Check whether functional group contains valid data. More...
virtual OFCondition | read (DcmItem &item)
| Read functional group from given item, i.e. read CT Additional X-Ray Source Sequence. More...
virtual OFCondition | write (DcmItem &item)
| Write functional group to given item, i.e. write CT Additional X-Ray Source Sequence. More...
virtual OFCondition | getKVP (OFString &value, const signed long pos=0) const
| Get KVP Peak kilo voltage output of the X-Ray generator used. More...
virtual OFCondition | getXRayTubeCurrentInmA (Float64 &value, const unsigned long pos=0) const
| Get XRayTubeCurrentInmA Nominal X-Ray tube current in milliamperes. More...
virtual OFCondition | getDataCollectionDiameter (OFString &value, const signed long pos=0) const
| Get DataCollectionDiameter The diameter in mm of the region over which data were collected. More...
virtual OFCondition | getFocalSpots (OFString &value, const signed long pos=0) const
| Get FocalSpots Used nominal size of the focal spot in mm. More...
virtual OFCondition | getFilterType (OFString &value, const signed long pos=0) const
| Get FilterType Type of filter(s) inserted into the X-Ray beam. More...
virtual OFCondition | getFilterMaterial (OFString &value, const signed long pos=0) const
| Get FilterMaterial The X-Ray absorbing material used in the filter. More...
virtual OFCondition | getExposureInmAs (Float64 &value, const unsigned long pos=0) const
| Get ExposureInmAs The exposure expressed in milliampere seconds, for example calculated from exposure time and X-Ray tube current. More...
virtual OFCondition | getEnergyWeightingFactor (Float32 &value, const unsigned long pos=0) const
| Get EnergyWeightingFactor The weighting factor of the data from this additional source in a multiple energy composition image. More...
virtual OFCondition | setKVP (const OFString &value, const OFBool checkValue=OFTrue)
| Set KVP Peak kilo voltage output of the X-Ray generator used. More...
virtual OFCondition | setKVP (const Float64 value, const OFBool checkValue=OFTrue)
| Set KVP Peak kilo voltage output of the X-Ray generator used. More...
virtual OFCondition | setXRayTubeCurrentInmA (const Float64 value, const OFBool checkValue=OFTrue)
| Set XRayTubeCurrentInmA Nominal X-Ray tube current in milliamperes. More...
virtual OFCondition | setDataCollectionDiameter (const OFString &value, const OFBool checkValue=OFTrue)
| Set DataCollectionDiameter The diameter in mm of the region over which data were collected. More...
virtual OFCondition | setDataCollectionDiameter (const Float64 value, const OFBool checkValue=OFTrue)
| Set DataCollectionDiameter The diameter in mm of the region over which data were collected. More...
virtual OFCondition | setFocalSpots (const OFString &value, const OFBool checkValue=OFTrue)
| Set FocalSpots Used nominal size of the focal spot in mm. More...
virtual OFCondition | setFocalSpots (const OFVector< Float64 > &values, const OFBool checkValue=OFTrue)
| Set FocalSpots Used nominal size of the focal spot in mm. More...
virtual OFCondition | setFilterType (const OFString &value, const OFBool checkValue=OFTrue)
| Set FilterType Type of filter(s) inserted into the X-Ray beam. More...
virtual OFCondition | setFilterMaterial (const OFString &value, const OFBool checkValue=OFTrue)
| Set FilterMaterial The X-Ray absorbing material used in the filter. More...
virtual OFCondition | setExposureInmAs (const Float64 value, const OFBool checkValue=OFTrue)
| Set ExposureInmAs The exposure expressed in milliampere seconds, for example calculated from exposure time and X-Ray tube current. More...
virtual OFCondition | setEnergyWeightingFactor (const Float32 value, const OFBool checkValue=OFTrue)
| Set EnergyWeightingFactor The weighting factor of the data from this additional source in a multiple energy composition image. More...
virtual int | compare (const FGCTAdditionalXRaySourceItem &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...

## Protected Attributes
DcmDecimalString | m_KVP
| KVP (DS, VM 1, Required type 1) Peak kilo voltage output of the X-Ray generator used.
DcmFloatingPointDouble | m_XRayTubeCurrentInmA
| XRayTubeCurrentInmA (FD, VM 1, Required type 1) Nominal X-Ray tube current in milliamperes.
DcmDecimalString | m_DataCollectionDiameter
| DataCollectionDiameter (DS, VM 1, Required type 1) The diameter in mm of the region over which data were collected.
DcmDecimalString | m_FocalSpots
| FocalSpots (DS, VM 1-n, Required type 1) Used nominal size of the focal spot in mm.
DcmShortString | m_FilterType
| FilterType (SH, VM 1, Required type 1) Type of filter(s) inserted into the X-Ray beam. More...
DcmCodeString | m_FilterMaterial
| FilterMaterial (CS, VM 1-n, Required type 1) The X-Ray absorbing material used in the filter.
DcmFloatingPointDouble | m_ExposureInmAs
| ExposureInmAs (FD, VM 1, Required type 1) The exposure expressed in milliampere seconds, for example calculated from exposure time and X-Ray tube current.
DcmFloatingPointSingle | m_EnergyWeightingFactor
| EnergyWeightingFactor (FL, VM 1, Required type 1C) The weighting factor of the data from this additional source in a multiple energy composition image. More...

## Detailed Description

Class representing an item of the "CT Additional X-Ray Source" Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::check | ( |  | ) | const
| virtual

Check whether functional group contains valid data.

Returns
  EC_Normal if data is valid, error otherwise

## ◆ clone()

virtual FGCTAdditionalXRaySourceItem* FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

## ◆ compare()

virtual int FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::compare | ( | const FGCTAdditionalXRaySourceItem & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

## ◆ getDataCollectionDiameter()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getDataCollectionDiameter | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get DataCollectionDiameter The diameter in mm of the region over which data were collected.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getEnergyWeightingFactor()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getEnergyWeightingFactor | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const
| virtual

Get EnergyWeightingFactor The weighting factor of the data from this additional source in a multiple energy composition image.

This factor incorporates the effects ofRequired if Required if Frame Type (0008,9007) Value 4 of this frame is ENERGY_PROP_WT. May be present otherwise.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getExposureInmAs()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getExposureInmAs | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const
| virtual

Get ExposureInmAs The exposure expressed in milliampere seconds, for example calculated from exposure time and X-Ray tube current.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getFilterMaterial()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getFilterMaterial | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get FilterMaterial The X-Ray absorbing material used in the filter.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getFilterType()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getFilterType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get FilterType Type of filter(s) inserted into the X-Ray beam.

See

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getFocalSpots()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getFocalSpots | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get FocalSpots Used nominal size of the focal spot in mm.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getKVP()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getKVP | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get KVP Peak kilo voltage output of the X-Ray generator used.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getXRayTubeCurrentInmA()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::getXRayTubeCurrentInmA | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const
| virtual

Get XRayTubeCurrentInmA Nominal X-Ray tube current in milliamperes.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from given item, i.e. read CT Additional X-Ray Source Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setDataCollectionDiameter() [1/2]

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setDataCollectionDiameter | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set DataCollectionDiameter The diameter in mm of the region over which data were collected.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setDataCollectionDiameter() [2/2]

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setDataCollectionDiameter | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set DataCollectionDiameter The diameter in mm of the region over which data were collected.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setEnergyWeightingFactor()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setEnergyWeightingFactor | ( | const Float32 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set EnergyWeightingFactor The weighting factor of the data from this additional source in a multiple energy composition image.

This factor incorporates the effects ofRequired if Required if Frame Type (0008,9007) Value 4 of this frame is ENERGY_PROP_WT. May be present otherwise.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (FL) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setExposureInmAs()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setExposureInmAs | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set ExposureInmAs The exposure expressed in milliampere seconds, for example calculated from exposure time and X-Ray tube current.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (FD) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setFilterMaterial()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setFilterMaterial | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set FilterMaterial The X-Ray absorbing material used in the filter.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setFilterType()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setFilterType | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set FilterType Type of filter(s) inserted into the X-Ray beam.

See

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setFocalSpots() [1/2]

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setFocalSpots | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set FocalSpots Used nominal size of the focal spot in mm.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setFocalSpots() [2/2]

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setFocalSpots | ( | const OFVector< Float64 > & | values,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set FocalSpots Used nominal size of the focal spot in mm.

Parameters

  values | Values to be set
  checkValue | Check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setKVP() [1/2]

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setKVP | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set KVP Peak kilo voltage output of the X-Ray generator used.

Parameters

  value | Value to be set
  checkValue | Check 'value' if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setKVP() [2/2]

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setKVP | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set KVP Peak kilo voltage output of the X-Ray generator used.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setXRayTubeCurrentInmA()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::setXRayTubeCurrentInmA | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set XRayTubeCurrentInmA Nominal X-Ray tube current in milliamperes.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (FD) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::write | ( | DcmItem & | item | ) |
| virtual

Write functional group to given item, i.e. write CT Additional X-Ray Source Sequence.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

## Member Data Documentation

## ◆ m_EnergyWeightingFactor

DcmFloatingPointSingle FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::m_EnergyWeightingFactor
| protected

EnergyWeightingFactor (FL, VM 1, Required type 1C) The weighting factor of the data from this additional source in a multiple energy composition image.

This factor incorporates the effects ofRequired if Required if Frame Type (0008,9007) Value 4 of this frame is ENERGY_PROP_WT. May be present otherwise.

## ◆ m_FilterType

DcmShortString FGCTAdditionalXRaySource::FGCTAdditionalXRaySourceItem::m_FilterType
| protected

FilterType (SH, VM 1, Required type 1) Type of filter(s) inserted into the X-Ray beam.

See

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctadditionalxraysource.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1